diff --git a/doc/emacs/trouble.texi b/doc/emacs/trouble.texi
index 33f67f2b44..04bb1bb021 100644
--- a/doc/emacs/trouble.texi
+++ b/doc/emacs/trouble.texi
@@ -1443,8 +1443,32 @@ Copyright Assignment
 
 Generally speaking, for non-trivial contributions to GNU Emacs and
 packages stored in GNU ELPA, we require that the copyright be assigned
-to the FSF@.  For the reasons behind this, see
-@url{https://www.gnu.org/licenses/why-assign.html}.
+to the FSF@.  Professor Eben Moglen, Columbia University Law School,
+has explained the reasons why:
+
+@quotation
+Under US copyright law, which is the law under which most free
+software programs have historically been first published, there are
+very substantial procedural advantages to registration of
+copyright.  And despite the broad right of distribution conveyed by
+the GPL, enforcement of copyright is generally not possible for
+distributors: only the copyright holder or someone having assignment
+of the copyright can enforce the license.  If there are multiple
+authors of a copyrighted work, successful enforcement depends on
+having the cooperation of all authors.
+
+In order to make sure that all of our copyrights can meet the
+recordkeeping and other requirements of registration, and in order to
+be able to enforce the GPL most effectively, FSF requires that each
+author of code incorporated in FSF projects provide a copyright
+assignment, and, where appropriate, a disclaimer of any work-for-hire
+ownership claims by the programmer's employer.  That way we can be sure
+that all the code in FSF projects is free code, whose freedom we can
+most effectively protect, and therefore on which other developers can
+completely rely.
+
+From: @url{https://www.gnu.org/licenses/why-assign.html}
+@end quotation
 
 Copyright assignment is a simple process.  Residents of some countries
 can do it entirely electronically.  We can help you get started,
